Debian Bug report logs - #599276
syslog-ng: Syslog-ng init script - $SYSLOGNG_OPTS in syslogng_reload()

version graph

Package: syslog-ng; Maintainer for syslog-ng is syslog-ng maintainers <syslog-ng-maintainers@lists.alioth.debian.org>; Source for syslog-ng is src:syslog-ng.

Reported by: Marco Rutsch <marco.rutsch@easynet.com>

Date: Wed, 6 Oct 2010 10:45:06 UTC

Severity: normal

Found in version syslog-ng/3.1.2-1

Fixed in version syslog-ng/3.1.2-2

Done: Laszlo Boszormenyi (GCS) <gcs@debian.hu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#599276; Package syslog-ng. (Wed, 06 Oct 2010 10:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Rutsch <marco.rutsch@easynet.com>:
New Bug report received and forwarded. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>. (Wed, 06 Oct 2010 10:45:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco Rutsch <marco.rutsch@easynet.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: syslog-ng: Syslog-ng init script - $SYSLOGNG_OPTS in syslogng_reload()
Date: Wed, 06 Oct 2010 12:10:15 +0200
Package: syslog-ng
Version: 3.1.2-1
Severity: normal

The argument $SYSLOGNG_OPTS to start-stop-daemon in the
syslogng_reload() is not needed and should be removed.
It will generate an error if SYSLOGNG_OPTS in /etc/default/syslog-ng are used.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages syslog-ng depends on:
ii  libc6                   2.11.2-6         Embedded GNU C Library: Shared lib
ii  libcap2                 1:2.19-3         support for getting/setting POSIX.
ii  libdbi0                 0.8.2-3          Database Independent Abstraction L
ii  libevtlog0              0.2.8~1-2        Syslog event logger library
ii  libglib2.0-0            2.24.2-1         The GLib library of C routines
ii  libnet1                 1.1.4-2          library for the construction and h
ii  libpcre3                8.02-1.1         Perl 5 Compatible Regular Expressi
ii  libssl0.9.8             0.9.8o-2         SSL shared libraries
ii  libwrap0                7.6.q-19         Wietse Venema's TCP wrappers libra
ii  lsb-base                3.2-23.1         Linux Standard Base 3.2 init scrip
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages syslog-ng recommends:
ii  logrotate                     3.7.8-6    Log rotation utility

Versions of packages syslog-ng suggests:
pn  libdbd-mysql                  <none>     (no description available)
pn  libdbd-pgsql                  <none>     (no description available)
pn  libdbd-sqlite3                <none>     (no description available)

-- Configuration Files:
/etc/default/syslog-ng changed [not included]
/etc/init.d/syslog-ng changed [not included]
/etc/syslog-ng/syslog-ng.conf changed [not included]

-- no debconf information




Reply sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
You have taken responsibility. (Thu, 04 Nov 2010 18:33:16 GMT) Full text and rfc822 format available.

Notification sent to Marco Rutsch <marco.rutsch@easynet.com>:
Bug acknowledged by developer. (Thu, 04 Nov 2010 18:33:16 GMT) Full text and rfc822 format available.

Message #10 received at 599276-close@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
To: 599276-close@bugs.debian.org
Subject: Bug#599276: fixed in syslog-ng 3.1.2-2
Date: Thu, 04 Nov 2010 18:32:07 +0000
Source: syslog-ng
Source-Version: 3.1.2-2

We believe that the bug you reported is fixed in the latest version of
syslog-ng, which is due to be installed in the Debian FTP archive:

syslog-ng_3.1.2-2.debian.tar.gz
  to main/s/syslog-ng/syslog-ng_3.1.2-2.debian.tar.gz
syslog-ng_3.1.2-2.dsc
  to main/s/syslog-ng/syslog-ng_3.1.2-2.dsc
syslog-ng_3.1.2-2_amd64.deb
  to main/s/syslog-ng/syslog-ng_3.1.2-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 599276@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laszlo Boszormenyi (GCS) <gcs@debian.hu> (supplier of updated syslog-ng package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 04 Nov 2010 18:24:36 +0100
Source: syslog-ng
Binary: syslog-ng
Architecture: source amd64
Version: 3.1.2-2
Distribution: unstable
Urgency: low
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Changed-By: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Description: 
 syslog-ng  - Next generation logging daemon
Closes: 599276
Changes: 
 syslog-ng (3.1.2-2) unstable; urgency=low
 .
   * Don't set options on reload as it's not needed (closes: #599276).
Checksums-Sha1: 
 817805076cf3f20b0d5d58166f90683cb0e17544 1274 syslog-ng_3.1.2-2.dsc
 a61281c9b799581c93864d311d7744ce0e239093 17259 syslog-ng_3.1.2-2.debian.tar.gz
 7a92ff30046d34e2dc60256b00ebd6181d5289f7 340802 syslog-ng_3.1.2-2_amd64.deb
Checksums-Sha256: 
 e2dfd10493455b0d46d562a92c65498764cfaa2178a5db65765ed469cd2b48d1 1274 syslog-ng_3.1.2-2.dsc
 a2c69293504337a5bc9fd76daeb47f8bde44df0135a0a3808534ae7bf62fe237 17259 syslog-ng_3.1.2-2.debian.tar.gz
 0a8aea6743f832f3862a1ea99b63f20934d8be33385cbdb3c8bfcd964dff22e1 340802 syslog-ng_3.1.2-2_amd64.deb
Files: 
 c7e4caaff4239f142cf6f4dd7be5f06d 1274 admin extra syslog-ng_3.1.2-2.dsc
 ac248bed7b308fdb879c86541c76c618 17259 admin extra syslog-ng_3.1.2-2.debian.tar.gz
 64ffcfb9e95c9a20ade3d71360aac7be 340802 admin extra syslog-ng_3.1.2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzS+qgACgkQMDatjqUaT9387ACeLZFLGdbupvRwGvUCBmiByyGZ
b0IAnR4ixHEmTfSTJNmVH/kcIUj0cGfG
=ScTA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Dec 2010 07:35:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:35:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.